> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rashalbdevice.md).

# Get-RASHALBDevice

### NAME

Get-RASHALBDevice\ <br>

### SYNOPSIS

Retrieves a map, or a specific device used by the HALB Virtual Server.\ <br>

### SYNTAX

Get-RASHALBDevice \[\[-[HALBId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#HALBId)] *\<uint>*] \[\[-[DeviceID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#DeviceID)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#CommonParameters)*>*]\
\
Get-RASHALBDevice \[-[HALBName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#HALBName)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#SiteId)] *\<uint>*] \[\[-[DeviceID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#DeviceID)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASHALBDevice.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves a map, or a specific device used by the HALB Virtual Server.\ <br>

### PARAMETERS

\
-**HALBName \<string>**\
The HALB Virtual Server name.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
The site ID where the HALB settings will be created.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HALBId \<uint>**\
The ID of the HALB Virtual Server.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DeviceID \<uint>**\
The ID of the HALB Device.\ <br>

```
        Required?                    false
```

```
        Position?                    2
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[HALBDevice](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HALBDevice.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
Get-RASHALBDevice -HALBName "HALB-VS"\
\
Returns a dictionary of the HALB Device IPs that are used by the HALB Virtual Server named "HALB-VS".\
**---------- EXAMPLE 2 ----------**\
\
Get-RASHALBDevice -HALBId 21\
\
Returns a dictionary of the HALB Device IPs that are used by the HALB Virtual Server with ID 21.\
**---------- EXAMPLE 3 ----------**\
\
Get-RASHALBDevice -HALBName "HALB-VS" -DeviceID 1\
\
Returns a specific entry of the HALB Device IP that is used by the HALB Virtual Server named "HALB-VS".\
**---------- EXAMPLE 4 ----------**\
\
Get-RASHALBDevice -HALBId 21 -DeviceID 1\
\
Returns a specific entry of the HALB Device IP that is used by the HALB Virtual Server with ID 21.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rashalbdevice.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
